Last Comment Bug 723550 - Lots of base64 decode errors in logcat
: Lots of base64 decode errors in logcat
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All Android
: P1 normal (vote)
: Firefox 13
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
:
Mentors:
: 723870 723955 723986 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 08:33 PST by Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2016-07-29 14:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
verified
11+


Attachments
Longer logcat excerpt (569.52 KB, text/plain)
2012-02-02 08:37 PST, Kartikaya Gupta (email:kats@mozilla.com)
no flags Details
WIP patch (1.41 KB, patch)
2012-02-02 13:30 PST, Brian Nicholson (:bnicholson)
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Kartikaya Gupta (email:kats@mozilla.com) 2012-02-02 08:33:47 PST
Seeing a lot of this in logcat. Probably regression from bug 723159 that landed recently.

02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): exception while decoding drawable: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAA2ZJREFUeNrEV01IFGEYfndXNzq0QdalJOoUbQiBUuopD2k/GFSG/Vxyq0OHbCUjwn7AEooUzUNRkdkhS1o9JBVaUDctKqhoRQi0WjtlxG6XVtfpfb6Z2caZ2ZnZXZdeeJxvx+973+f9+775XJIkkUaWMcoYG5TxfMpvxlvGMGM8+RYEFOxn/JJyLzOMiwwv7LqUCNQwHjpxIxKJ0Gg4LABZUVhIfr+f1jLSlNuMwyCwEHoZS6xmvxoZoc6Oq+JpJoVMpOncWdpcWZkOiRIQ2MKDp1az+kIhOtV40pHG6zdvpEOixc1/VtqFvKX5gmOX0pkL2yDgsZpxt+sORaPROe8Q6ncf3tPAk8eG3Ks14lA8brsZYZ2yukBAwOfzCeMHA3WGNXrCVpLnJKeqRyhAfX5RfNmILQF4urG0VIzxBBkU5aQI9agIeU4JqNLZ0UH9ob6sDWZE4MDefSn7P1txO/FcbxypQG18nhinew/u5zYC3dyG+qLL1qjjCKDg9C21q2a3oe9zRsCsn2PR2JzfKEy9PB96Nj8E0IJm54IaGZwPZsWJOU4jY1kD2OlAQhsJjKu3bSe7yPUzifpgMPsuOBY8brtR1evmyFt0IL0IzH4fJtcCH7kK1hn2/hh71G1yKKEdz/DBBIOTkUkRemzVl1uvCGKzE4OMIaFbiv1LSX51L7mXl4kxvgeO8vMaJk0PHiHvjl4DCTWs2lMOX0L6cwD/Bxlp6hNNv2gUT9MjsLiB8koaMOxJRgCMgPijWsqvaCP3qqqUZ4JVzUASYyFyL/WTqyggPxWH4qGtBlJzagCGIYjEzJv2zHe38vOUt6mNPGv20OyPMMV7yuVwL5IjBlLmRej1UX7VLdmLt+2CMVKTiSDn0wO1NPPyBOtdLL+MyzWkTbGhC5AGsBdKkEtWAjglgjUwCq/FGjhV0ZosdOhXI5FyH0DoIIK9slB0CS8UCgr8AlpvpamwqHpttcO4WtSqA57ioKENE05IqIYSY46uD4Is0qmGG2s9RYeS7adI3Paz3K6lTMmzIdFmXp/d1Gb1YvLF7i4IzxMfu1ITYWOe1VWix7U5tlKpXkzwYycONqfVLcW+cU7lQ0jePf360DqRS4zT/+Ny+ofRxPBoL6fa6zmu5uvtbkwZyE/lev6a8VV9+VeAAQADg36zc4GRNAAAAABJRU5ErkJggg==
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): java.lang.IllegalArgumentException: bad base-64
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.util.Base64.decode(Base64.java:161)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.util.Base64.decode(Base64.java:136)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at org.mozilla.gecko.GeckoAppShell.decodeBase64(GeckoAppShell.java:1903)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at org.mozilla.gecko.GeckoAppShell.decodeBase64(GeckoAppShell.java:1936)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at org.mozilla.gecko.AwesomeBarTabs$AwesomeBarCursorAdapter.getDrawableFromDataURI(AwesomeBarTabs.java:477)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at org.mozilla.gecko.AwesomeBarTabs$AwesomeBarCursorAdapter.bindSearchEngineView(AwesomeBarTabs.java:506)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at org.mozilla.gecko.AwesomeBarTabs$AwesomeBarCursorAdapter.getView(AwesomeBarTabs.java:468)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.AbsListView.obtainView(AbsListView.java:2125)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.ListView.makeAndAddView(ListView.java:1791)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.ListView.fillDown(ListView.java:689)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.ListView.fillSpecific(ListView.java:1347)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.ListView.layoutChildren(ListView.java:1620)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.AbsListView.onLayout(AbsListView.java:1976)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:400)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1542)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1403)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1314)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:400)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1542)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1403)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1314)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:400)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1542)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1403)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1314)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:400)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.View.layout(View.java:9593)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewGroup.layout(ViewGroup.java:3877)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewRoot.performTraversals(ViewRoot.java:1256)
02-02 11:25:17.070 I/GeckoAwesomeBarTabs( 3437): 	at android.view.ViewRoot.h
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2012-02-02 08:37:21 PST
Created attachment 593858 [details]
Longer logcat excerpt

Note the timestamps. It's like a flood of garbage.
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2012-02-02 10:45:08 PST
I tried on my Galaxy Nexus and Galaxy S and couldn't reproduce
Comment 3 Kartikaya Gupta (email:kats@mozilla.com) 2012-02-02 11:03:00 PST
STR for me on Galaxy Tab 10.1 with Honeycomb:

1. Load a local build from 005980552224 + some unrelated local changes (testing changes only)
2. Start Fennec
3. Click on the url bar to get into the awesome screen
4. Start typing

Every time you a letter on the keyboard, there's a few of these exceptions generated in the log.
Comment 4 Brian Nicholson (:bnicholson) 2012-02-02 13:30:16 PST
Created attachment 593957 [details] [diff] [review]
WIP patch

Looks like this bug is caused by the Base64.URL_SAFE | Base64.NO_WRAP flags in decodeBase64(). We were using Base64.DEFAULT before. After changing it back to Base64.DEFAULT, I can verify that this patch makes search engine icons work again with no errors. Not a complete fix since this patch means that decodeBase64 and encodeBase64 use a different set of flags.
Comment 5 Kartikaya Gupta (email:kats@mozilla.com) 2012-02-03 11:06:04 PST
*** Bug 723986 has been marked as a duplicate of this bug. ***
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-03 12:56:11 PST
https://hg.mozilla.org/mozilla-central/rev/4e392c4dd76f
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-03 12:57:02 PST
Comment on attachment 593957 [details] [diff] [review]
WIP patch

[Approval Request Comment]
Regression caused by (bug #): bug 723159
User impact if declined: Fire and brimstone (crashes)
Testing completed (on m-c, etc.): Needs to be verified
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-03 12:57:52 PST
*** Bug 723870 has been marked as a duplicate of this bug. ***
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-03 12:58:33 PST
*** Bug 723955 has been marked as a duplicate of this bug. ***
Comment 10 Alex Keybl [:akeybl] 2012-02-05 13:46:34 PST
Comment on attachment 593957 [details] [diff] [review]
WIP patch

[Triage Comment]
Mobile only - approved for Aurora 12 and Beta 11.
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-06 12:27:33 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/01693365cd85
Comment 12 Brad Lassey [:blassey] (use needinfo?) 2012-02-06 19:31:13 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/6af6f6304253
Comment 13 Cristian Nicolae (:xti) 2012-03-02 08:05:44 PST
Verified fixed on:

Firefox 13.0a1 (2012-03-02)
20120302031112
http://hg.mozilla.org/mozilla-central/rev/3a7b9e61c263

--
Device: Samsung Galaxy S2
OS: Android 2.3.4

Note You need to log in before you can comment on or make changes to this bug.